---
title: Get cost Azure UC config
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Cloud Cost Management
---

# Get cost Azure UC config{% #get-cost-azure-uc-config %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                     |
| ----------------- | -------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/cost/azure_uc_config/{cloud_account_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/cost/azure_uc_config/{cloud_account_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/cost/azure_uc_config/{cloud_account_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/cost/azure_uc_config/{cloud_account_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/cost/azure_uc_config/{cloud_account_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/cost/azure_uc_config/{cloud_account_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/cost/azure_uc_config/{cloud_account_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/cost/azure_uc_config/{cloud_account_id} |

### Overview

Get a specific Azure config.

OAuth apps require the `cloud_cost_management_read` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#cloud-cost-management) to access this endpoint.



### Arguments

#### Path Parameters

| Name                               | Type    | Description                                |
| ---------------------------------- | ------- | ------------------------------------------ |
| cloud_account_id [*required*] | integer | The unique identifier of the cloud account |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
The definition of `UCConfigPair` object.

| Parent field | Field                  | Type     | Description                                                             |
| ------------ | ---------------------- | -------- | ----------------------------------------------------------------------- |
|              | data                   | object   | The definition of `UCConfigPairData` object.                            |
| data         | attributes             | object   | The definition of `UCConfigPairDataAttributes` object.                  |
| attributes   | configs                | [object] | The `attributes` `configs`.                                             |
| configs      | account_id             | string   | The `items` `account_id`.                                               |
| configs      | client_id              | string   | The `items` `client_id`.                                                |
| configs      | created_at             | string   | The `items` `created_at`.                                               |
| configs      | dataset_type           | string   | The `items` `dataset_type`.                                             |
| configs      | error_messages         | [string] | The `items` `error_messages`.                                           |
| configs      | export_name            | string   | The `items` `export_name`.                                              |
| configs      | export_path            | string   | The `items` `export_path`.                                              |
| configs      | id                     | string   | The `items` `id`.                                                       |
| configs      | months                 | int64    | The `items` `months`.                                                   |
| configs      | scope                  | string   | The `items` `scope`.                                                    |
| configs      | status                 | string   | The `items` `status`.                                                   |
| configs      | status_updated_at      | string   | The `items` `status_updated_at`.                                        |
| configs      | storage_account        | string   | The `items` `storage_account`.                                          |
| configs      | storage_container      | string   | The `items` `storage_container`.                                        |
| configs      | updated_at             | string   | The `items` `updated_at`.                                               |
| data         | id                     | string   | The `UCConfigPairData` `id`.                                            |
| data         | type [*required*] | enum     | Azure UC configs resource type. Allowed enum values: `azure_uc_configs` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "configs": [
        {
          "account_id": "1234abcd-1234-abcd-1234-1234abcd1234",
          "client_id": "1234abcd-1234-abcd-1234-1234abcd1234",
          "created_at": "2023-01-01T12:00:00.000000",
          "dataset_type": "actual",
          "error_messages": [],
          "export_name": "dd-actual-export",
          "export_path": "dd-export-path",
          "id": "123456789123",
          "months": 36,
          "scope": "/subscriptions/1234abcd-1234-abcd-1234-1234abcd1234",
          "status": "active",
          "status_updated_at": "2023-01-01T12:00:00.000000",
          "storage_account": "dd-storage-account",
          "storage_container": "dd-storage-container",
          "updated_at": "2023-01-01T12:00:00.000000"
        }
      ]
    },
    "id": "123456789123",
    "type": "azure_uc_configs"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export cloud_account_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/cost/azure_uc_config/${cloud_account_id}" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
Get cost Azure UC config returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.cloud_cost_management_api import CloudCostManagementApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = CloudCostManagementApi(api_client)
    response = api_instance.get_cost_azure_uc_config(
        cloud_account_id=123456,
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Get cost Azure UC config returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::CloudCostManagementAPI.new
p api_instance.get_cost_azure_uc_config(123456)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Get cost Azure UC config returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewCloudCostManagementApi(apiClient)
	resp, r, err := api.GetCostAzureUCConfig(ctx, 123456)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `CloudCostManagementApi.GetCostAzureUCConfig`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `CloudCostManagementApi.GetCostAzureUCConfig`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Get cost Azure UC config returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.CloudCostManagementApi;
import com.datadog.api.client.v2.model.UCConfigPair;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    CloudCostManagementApi apiInstance = new CloudCostManagementApi(defaultClient);

    try {
      UCConfigPair result = apiInstance.getCostAzureUCConfig(123456L);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling CloudCostManagementApi#getCostAzureUCConfig");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Get cost Azure UC config returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_cloud_cost_management::CloudCostManagementAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = CloudCostManagementAPI::with_config(configuration);
    let resp = api.get_cost_azure_uc_config(123456).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Get cost Azure UC config returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.CloudCostManagementApi(configuration);

const params: v2.CloudCostManagementApiGetCostAzureUCConfigRequest = {
  cloudAccountId: 123456,
};

apiInstance
  .getCostAzureUCConfig(params)
  .then((data: v2.UCConfigPair) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
